------------------------------------------------------------------------------------
--Name:  	jqsb
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-08-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(514, 748)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("BGHT_Strike", 514, 748, 33, 1, 1, 1)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(512, 752)
Player_1:SetDir(5)
local npc_0 = CppScriptMgr:AddSimplePlayer(9030, 514, 748, "JadeDragonPhantom", 0, 0)
npc_0:SetDir(1)
npc_0:SetZoomPercent(10)
local effect_0 = CppScriptMgr:AddEffect("zs_ww_xh", 514, 748, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(npc_0, 10, 100, 5, 60)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("These years, I have continuously endured the invasion of evil energy, and my faith has gradually been corroded... ", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Jade Dragon Phantom", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("I can only appear before you relying on the last remnants of my faith.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "JadeDragonPhantom", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("What can I do for you?", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Terato Dragon has already revived. To confront it, you must restore the Astredge weapon - Viodragon Club.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "JadeDragonPhantom", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("I will send you back to the past Twin City, where you will find the answers you seek...", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "JadeDragonPhantom", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
local Effect_3 = CppScriptMgr:AddEffect("rygh_hglx1", 519, 745, 33, 1, 1, 1)
Player_1:Say("I`m on my way!", 1000)
CppScriptMgr:WaitMilSec(70)
Player_1:SetAction(200)
CppScriptMgr:WaitMilSec(520)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 514, 748, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:ClearEffect(effect_0)
npc_0:SetHide(1)
CppScriptMgr:WaitMilSec(850)
Player_1:RunTo(519, 745)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetHide(1)
CppScriptMgr:ClearEffect(Effect_3)
CppScriptMgr:WaitMilSec(990)